# vtkLookupTable16 Class Reference

`#include <vtkLookupTable16.h>`

List of all members.

## Public Member Functions
void | Build ()
unsigned short * | GetPointer (const vtkIdType id)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetNumberOfTableValues (vtkIdType number)
| vtkTypeRevisionMacro (vtkLookupTable16, vtkLookupTable)
unsigned char * | WritePointer (const vtkIdType id, const int number)
## Static Public Member Functions
static vtkLookupTable16 * | New ()
## Protected Member Functions
| vtkLookupTable16 (int sze=256, int ext=256)
| ~vtkLookupTable16 ()
void | MapScalarsThroughTable2 (void *input, unsigned char *output, int inputDataType, int numberOfValues, int inputIncrement, int outputFormat)
## Protected Attributes
vtkUnsignedShortArray * | Table16

## Constructor & Destructor Documentation

vtkLookupTable16::vtkLookupTable16 | ( | int | sze = `256`,
|  | int | ext = `256` |
| ) |  |  | `[protected]`

vtkLookupTable16::~vtkLookupTable16 | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkLookupTable16::Build | ( |  | ) |

unsigned short* vtkLookupTable16::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

void vtkLookupTable16::MapScalarsThroughTable2 | ( | void * | input,
|  | unsigned char * | output,
|  | int | inputDataType,
|  | int | numberOfValues,
|  | int | inputIncrement,
|  | int | outputFormat |
| ) |  |  | `[protected]`

static vtkLookupTable16* vtkLookupTable16::New | ( |  | ) | `[static]`

void vtkLookupTable16::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent |
| ) |  |  |

void vtkLookupTable16::SetNumberOfTableValues | ( | vtkIdType | number | ) |

vtkLookupTable16::vtkTypeRevisionMacro | ( | vtkLookupTable16 | ,
|  | vtkLookupTable |  |
| ) |  |  |

unsigned char * vtkLookupTable16::WritePointer | ( | const vtkIdType | id,
|  | const int | number |
| ) |  |  | `[inline]`

References Table16.

## Member Data Documentation

vtkUnsignedShortArray* vtkLookupTable16::Table16`[protected]`

Referenced by WritePointer().

The documentation for this class was generated from the following file:

- vtkLookupTable16.h